tt_context_quit(library call)

NAME
tt_context_quit — remove a string value from the list of values

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_context_quit(
const char *slotname,
const char *value);

DESCRIPTION

The tt_context_quit function removes the given string value from the list of values for the contexts of all patterns.

The context is compared to currently registered patterns for the procid. If a pattern has a slot with the specified name, tt_context_quit removes the given string value from the list of values for that slot. If there are duplicate values, only one value is removed.

The slotname argument is the name of the context. The value argument is the value to be added.

RETURN VALUE

Upon successful completion, the tt_context_quit function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).